// SimpleFileFilter
// Started on June 19th, 2001
// Copyright (c) Virtu Halttunen

import TheGame.*;
import javax.swing.*;
import java.io.*;

public class SimpleFileFilter extends javax.swing.filechooser.FileFilter
{
    String suffix;
    String desc;

    public SimpleFileFilter( String suffix )
    {
	this.suffix = suffix.toLowerCase();
	desc = suffix.substring(1).toUpperCase();
    }
    
    public boolean accept( File file )
    {
	if( file.getName().toLowerCase().endsWith( suffix ) || file.isDirectory() )
	{
	    return true;
	}
	else
	{
	    return false;
	}
    }
    
    public String getDescription()
    {
	return desc + " files";
    }
}