// DefaultFaction.java
// Started on September 1st, 2003
// Copyright (c) Virtu Halttunen

package TheGame;

import java.util.Vector;

class DefaultFaction implements MonsterFaction
{
    int dummy;
    
    public void addMonsters( Game game, int monsters )
    {
        System.out.println( "Using default faction" );
        int monsterType;
        int x, y;
        for( int i=0; i < monsters; i++ )
        {
            Monster newMonster;
                
            monsterType = (int)( Math.random()*12 );
            switch( monsterType )
            {
                case 0:
                case 1:
                    newMonster = new Ripper(); break;
                case 2:
                case 3:
                    newMonster = new Egg(); break;
                case 4:
                    newMonster = new Brute(); break;
                case 5:
                case 6:
                    newMonster = new SmartOid(); break;
                case 7:
                    newMonster = new ShotgunBrute(); break;
                case 8:
                    newMonster = new Bob(); break;
                case 9:
                    newMonster = new BomberBrute(); break;
                default:
                    newMonster = new Oid(); break;
            }
	    newMonster.setLocation( game.getRandomPointForMonster() );
	    //System.out.println( newMonster.getType() + " at " + Objective.pointToString( newMonster.getLocation() ) );
            game.addMonster( newMonster );
        }
        if( Math.random() < 0.33 )
        {
            Monster newMonster = new CyberBrute();
            newMonster.setLocation( game.getRandomPointForMonster() );
            game.addMonster( newMonster );
        }
    }
}