// DoorAction.java
// Started on October 30th, 2001
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.Point;

public class DoorAction implements GameAction
{
    private Point door1;
    private Point door2;
    private boolean open;
    Character actor;
    
    
    public DoorAction( Character actor, Point door1, Point door2, boolean open )
    {
        this.actor = actor;
        this.door1 = new Point( door1 );
        this.door2 = new Point( door2 );
        this.open = open;
    }
    
    public boolean isOpening()
    {
        return open;
    }
    
    public Point getDoor1()
    {
        return new Point( door1 );
    }
    
    public Point getDoor2()
    {
        return new Point( door2 );
    }
    
    public Character getActor()
    {
        return actor;
    }
}