// Messahe.java
// Started on March 25th, 2002
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.Point;

public class Message implements GameAction
{
    private Character actor;
    private String message;
    private boolean annoying = false;

    public Message( Character actor, String message )
    {
        this.actor = actor;
        this.message = message.replaceAll( "\\\\n", "\n" );
    }

    public boolean isAnnoying()
    {
	return annoying;
    }
    
    public void setAnnoying( boolean annoying )
    {
	this.annoying = annoying;
    }
    
    public String getMessage()
    {
        return message;
    }

    public Character getActor()
    {
        return actor;
    }
}