// UseAction.java
// Started on December 4th, 2001
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.Point;

public class UseAction implements GameAction
{
    private Point point;
    private Character actor;
    private int cost;
    private boolean consumed;
    
    public UseAction( Character actor, Point point )
    {
	//System.out.println( "New move action:  Start: " + startPoint.toString() + " End: " + endPoint.toString() );
	this.actor = actor;
	this.point = new Point( point );
        cost = 0;
    }
    
    public Character getActor()
    {
	return actor;
    }
    
    public Point getPoint()
    {
	return new Point( point );
    }

    public int getCost()
    {
        return cost;
    }

    public void setCost( int cost )
    {
        this.cost=cost;
    }
    
    public boolean isConsumed()
    {
	return consumed;
    }
    
    public void setConsumed( boolean consumed )
    {
	this.consumed = consumed;
    }
}