// WoundAction.java
// Started on March 2nd, 2001
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.Point;

public class WoundAction implements GameAction
{
    private Point point;
    private Character actor;

    public WoundAction( Character actor, Point point )
    {
        this.actor = actor;
        this.point = new Point( point );
    }

    public Character getActor()
    {
        return actor;
    }

    public Point getPoint()
    {
        return new Point( point );
    }

}