
import java.awt.Point;

public class CharacterReference extends TheGame.Character
{
    private String className;
    private String name = null;
    private String customHitPoints = null;
    private String customActionPoints = null;
    private boolean dormant = false;

    public CharacterReference( String className )
    {
        this.className = className;
        alive = true;
    }

    public String getClassName()
    {
        return className;
    }

    public void setLocation( Point location )
    {
        this.location = location;
        lastAction = new TheGame.MoveAction( this, this.location, this.location );
    }
    
    public String getName()
    {
	return name;
    }
    
    public void setName( String name )
    {
	if( name != null && name.trim().length() > 0 )
	{
	    this.name = name;
	}
    }
    
    public String getCustomHitPoints()
    {
	return customHitPoints;
    }
    
    public void setCustomHitPoints( String customHitPoints )
    {
	this.customHitPoints = customHitPoints;
    }
    
    public String getCustomActionPoints()
    {
	return customActionPoints;
    }
    
    public void setCustomActionPoints( String customActionPoints )
    {
	this.customActionPoints = customActionPoints;
    }

    public void setDormant( boolean dormant )
    {
	this.dormant = dormant;
    }
    
    public boolean isDormant()
    {
	return dormant;
    }
        
}