// BruteFaction.java
// Started on September 1st, 2003
// Copyright (c) Virtu Halttunen

package TheGame;

import java.util.Vector;

class BruteFaction implements MonsterFaction
{
    int dummy;

    public void addMonsters( Game game, int monsters )
    {
        System.out.println( "Using Brute faction" );
        int monsterType;
        int x, y;
        for( int i=0; i < monsters; i++ )
        {
            Monster newMonster;

            monsterType = (int)( Math.random()*12 );
            switch( monsterType )
            {
                case 0:
                case 1:
                    newMonster = new Bob(); break;
                case 2:
                case 3:
                    newMonster = new ShotgunBrute(); break;
                case 4:
                case 5:
                    newMonster = new BomberBrute(); break;
                case 6:
                    newMonster = new FlamerBrute(); break;
                case 7:
                case 8:
		    newMonster = new Brute(); break;
                case 9:
                default:
		    newMonster = GenericMonster.create( "Juve" );
		    newMonster.setLocation( game.getRandomPointForMonster() );
		    break;
            }
            newMonster.setLocation( game.getRandomPointForMonster() );
            game.addMonster( newMonster );
        }
        if( Math.random() < 0.33 )
        {
            Monster newMonster = new CyberBrute();
            newMonster.setLocation( game.getRandomPointForMonster() );
            game.addMonster( newMonster );
        }
        if( Math.random() < 0.02 )
        {
            Monster newMonster = new CyberBrute();
            newMonster.setLocation( game.getRandomPointForMonster() );
            game.addMonster( newMonster );
        }
        
    }
}