// CommSprite.java
// Started on November 24th, 2001
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.*;
import java.util.Vector;
import javax.swing.ImageIcon;

public class CommSprite extends Sprite
{
    
    private static Image [] images = null;
    private boolean alive;

    public CommSprite( boolean alive )
    {
	if( images == null )
	{
        
	    images = new Image[2];
	    Vector temp = new Vector();
	    ResourceManager.cropImage( "RipperComm.png", temp, 48 );
            images[0] = (Image)temp.elementAt( 0 );
            images[1] = (Image)temp.elementAt( 1 );
	}
        this.alive = alive;
	location = new Point( -1, -1 );
	bounds = new Rectangle( 0, 0, 48, 48 );
    }
    
    public Image getSprite( GameAction action )
    {
        if( alive )
            return images[0];
        return images[1];
    }
    
    public Image getSprite()
    {
        if( alive )
            return images[0];
        return images[1];
    }
}