// DroidFaction.java
// Started on September 7th, 2003
// Copyright (c) Virtu Halttunen

package TheGame;

class DroidFaction implements MonsterFaction
{
    int dummy;

    public void addMonsters( Game game, int monsters )
    {
        System.out.println( "Using Droid faction" );
        int monsterType;
        int x, y;
        int count=0;
        Monster newMonster;
        int brains = 2+(int)(Math.random()*4);
        for( int i=0; i < brains; i++ )
        {
            newMonster = new BrainRobot();
            newMonster.setLocation( game.getRandomPointForMonster() );
            game.addMonster( newMonster );
            count++;
        }
        if( Math.random() < 0.75 )
        {
            newMonster = new DestroyerRobot();
            newMonster.setLocation( game.getRandomPointForMonster() );
            game.addMonster( newMonster );
            count++;
        }
        while( Math.random() < 0.35 )
        {
            newMonster = new DestroyerRobot();
            newMonster.setLocation( game.getRandomPointForMonster() );
            game.addMonster( newMonster );
            count++;
        }        
        for( ; count < monsters; count++ )
        {
            monsterType = (int)( Math.random()*15 );
            switch( monsterType )
            {
                case 0:
		case 1:
                   newMonster = new BattleRobot(); break;
                case 2:
                case 3:
                case 4:
                case 5:
                     newMonster = new AssaultDrone(); break;
                case 6:
                case 7:
		    newMonster = new Bob(); break;
                case 9:
                default:
                    newMonster = new AlarmDrone(); break;

            }
            newMonster.setLocation( game.getRandomPointForMonster() );
            game.addMonster( newMonster );
        }
    }
}