// HealAction.java
// Started on June 22nd, 2003
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.Point;

public class HealAction implements GameAction
{
    public static final int HEAL = 0;
    public static final int FULL_HEALTH = -1;
    public static final int ERROR = 1;
    public static final int FUMBLE = 2;
    
    private Character actor;
    private int status;

    public HealAction( Character actor, int status )
    {
        //System.out.println( "New move action:  Start: " + startPoint.toString() + " End: " + endPoint.toString() );
        this.actor = actor;
        this.status = status;
    }

    public Character getActor()
    {
        return actor;
    }

    public int getStatus()
    {
        return status;
    }

}