// MeleeAction.java
// Started on December 4th, 2001
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.Point;

public class MeleeAction implements GameAction
{
    Character attacker;
    Character defender;
    boolean targetDefends = false;
    int cost = 1;
    
    public MeleeAction( Character attacker, Character defender )
    {
	//System.out.println( "New melee action:  Attacker: " + attacker.toString() + " Defender: " + defender.toString() );
	this.attacker = attacker;
	this.defender = defender;
    }
    
    public MeleeAction( Character attacker, Character defender, boolean targetDefends )
    {
	//System.out.println( "New melee action:  Attacker: " + attacker.toString() + " Defender: " + defender.toString() );
	this.attacker = attacker;
	this.defender = defender;
	this.targetDefends = targetDefends;
    }
    
    public Character getAttacker()
    {
	return attacker;
    }
    
    public Character getActor()
    {
        return attacker;
    }	
    
    public int getCost()
    {
	return cost;
    }
    
    public void setCost( int cost )
    {
	this.cost = cost;
    }
    
    public Character getDefender()
    {
        return defender;
    }
    
    public boolean getTargetDefends()
    {
	return targetDefends;
    }
    
}