// MoveAction.java
// Started on December 4th, 2001
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.Point;

public class MoveAction implements GameAction
{
    Point startPoint;
    Point endPoint;
    Character actor;
    int cost = 1;
    
    public MoveAction( Character actor, Point startPoint, Point endPoint )
    {
	//System.out.println( "New move action:  Start: " + startPoint.toString() + " End: " + endPoint.toString() );
	this.actor = actor;
	this.startPoint = new Point( startPoint );
	this.endPoint = new Point( endPoint );
    }
    
    public Character getActor()
    {
	return actor;
    }
    
    public Point getStartPoint()
    {
	return new Point( startPoint );
    }
    
    public Point getEndPoint()
    {
	return new Point( endPoint );
    }
    
    public void setEndPoint( Point point )
    {
	endPoint = new Point( point );
    }
    
    public int getCost()
    {
	return cost;
    }
    
    public void setCost( int cost )
    {
	this.cost = cost;
    }
}