// PipeSprite.java
// Started on December 22nd, 2001
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.*;
import java.util.Vector;
import javax.swing.ImageIcon;

public class PipeSprite extends Sprite
{

    private static Image [] images = null;
    private Image image;

    public PipeSprite( int status )
    {
        if( images == null )
        {

            images = new Image[3];
            Vector temp = new Vector();
            ResourceManager.cropImage( "Pipe.png", temp, 48 );
            images[0] = (Image)temp.elementAt( 0 );
            images[1] = (Image)temp.elementAt( 1 );
            images[2] = (Image)temp.elementAt( 2 );
        }
        location = new Point( -1, -1 );
        bounds = new Rectangle( 0, 0, 48, 48 );
        image = images[ 0 ];
        if( status == ReleaseLavaObjective.OPEN )
            image = images[ 1 ];
        if( status == ReleaseLavaObjective.BROKEN )
            image = images[ 2 ];
    }

    public Image getSprite( GameAction action )
    {
         return image;
    }

    public Image getSprite()
    {
        return image;
    }
}