//
// PureGame.java
// Started on March 12th, 2002
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.*;
import javax.swing.*;
import java.io.*;
import java.util.Vector;
import java.net.URL;


/**
 * Main class for general OS platforms. Creates the team manager window
 * and shows it.
 *
 * @author	Virtu Halttunen
 * @version	0.1
 */
public class PureGame extends JFrame
{
    private GameWindow window;
    private static String version = "";


    public PureGame()
    {

    }
    
    public PureGame( String missionFileName )
    {
        /*
         try {
             UIManager.setLookAndFeel( UIManager.getCrossPlatformLookAndFeelClassName() );
         }
         catch( Exception e )
         {}*/
        TeamManagerWindow theWindow = new TeamManagerWindow();
    }

    public static void main( String [] args )
    {
        String fileName = null;
        if( args.length > 0 )
        {
            for( int i=0; i < args.length; i++ )
            {
                if( args[i].equalsIgnoreCase( "-noSound" ) )
                {
                    GameMapPanel.playSounds=false;
                }
            }
            if( !args[ args.length-1 ].startsWith( "-" ) )
            {
                fileName = args[ args.length-1 ];
            }
        }
        new PureGame( fileName );
    }
}
