// ReturnToBaseObjective.java
// Started on October 27th, 2001
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.Point;
import java.io.*;

/**
 *
 *  Obsolete. Use Mission.endsAtBase instead
 *
 */
public class ReturnToBaseObjective extends Objective
{
    protected Game activeGame;
    private boolean returned = false;
 
    public void setGame( Game game )
    {
	activeGame = game;
    }
          
    public int getNumberOfSprites()
    {
	return 0;
    }
    
    public Sprite getSprite( int x, int y )
    {
	return null;
    }

    public String [] getPropertyNames()
    {
        return null;
    }

    public String getProperty( String key )
    {
        return null;
    }
    
    public void setProperty( String key, String value ) throws IllegalArgumentException
    {}

    public void setLocation( Point point )
    {}
    
    public void setLocation( int x, int y )
    {
	setLocation( new Point( x, y ) );
    }
    
    public String getDescription()
    {
        return "Return to base\n";
    }
    
    public boolean isCompleted()
    {
        returned = true;
        Character character;
        Point location;
        boolean characterReturned;
  
        for( int i = 0; i < activeGame.getPlayerCharacters().size(); i++ )
	{
            character = activeGame.getPlayerCharacter(i);
            characterReturned = false;
	    if( character.isAlive() )
	    {
                for( int j = 0; j < activeGame.getPlayerStartingPoints().size(); j++ )
                {
                    location = ((MapNode)activeGame.getPlayerStartingPoints().elementAt(j)).getPoint();
                    if( (Math.abs( character.getLocation().x-location.x ) <= 1) && (Math.abs( character.getLocation().y-location.y ) <= 1) )  
                        characterReturned = true;
                }
	    }
            else
            {
                // Dead count as returned
                characterReturned=true;
            }
            returned = (returned && characterReturned );
        }
	return returned;
    }
    
    public boolean isLocatedIn( Point point )
    {
	return false;
    }
    
    public boolean isLocatedIn( int x, int y )
    {
	return false;
    }
        
    public boolean isDestructible()
    {
	return false;
    }
    
    public boolean isShownOnMap()
    {
        return false;
    }
    
    public boolean handleDamage( Point point, int damage )
    {
	return false;
    }
    
    public boolean handleAction( GameAction action )
    {
        return false;
    }
    
}