// SmartGunSprite.java
// Started on August 11th, 2003
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.Point;
import java.awt.Graphics;
import java.applet.AudioClip;
import java.applet.Applet;

public class SmartGunSprite extends WeaponSprite
{
    private static AudioClip shoot = null;
    private static AudioClip miss = null;
    private Weapon weapon;

    public SmartGunSprite()
    {
        if( shoot == null && GameMapPanel.playSounds )
        {
            shoot = ResourceManager.loadAudioClip( "SentryGun.wav" );
            miss = ResourceManager.loadAudioClip( "miss.wav" );
        }
    }

    public void setWeapon( Weapon weapon )
    {
        this.weapon = weapon;
    }

    public boolean affectsLights( )
    {
        return false;
    }

    public void prepareFrame( Point fireFrom, Point fireTo, int frame, GameMapPanel panel )
    {

    }

    public void drawFrame( Graphics g, GameMapPanel host, int frame )
    {

    }

    public int getFrames()
    {
        return 1;
    }

    public AudioClip getFireSoundEffect()
    {
        return shoot;
    }

    public AudioClip getMissSoundEffect()
    {
        return miss;
    }

}